none
Hyper-V Linux 統合サービスでマウスキャプチャを有効にしたいのですがうまくいきません。 RRS feed

  • 質問

  • Windows Server2012 RC版上でHyper-vを追加、Hyper-v
    のCentOS5.5にリモートデスクトップでCentOS5.5に
    アクセスすると


    リモートデスクトップセッションでマウスがキャプチャされていません。
    ゲストオペレーティングシステムに総合サービスがインストールされている場合、
    リモートデスクトップセッションでマウスを使用できます。

    のメッセージが表示され、マウスがエミュレートされません。
    (※win2012 RC RC Datacenter Build 8400)

    Windows Server2012 RC版の環境でHyper-V Linux 統合サービス
    でマウスキャプチャを有効にしたいのですがうまくいきません。

    Linux Integration Services v2.1 をダウンロード、
    make,make installも実行しましたが、make install を実行中
    /etc/init.d/vmbus start
    Starting Vmbus:       [OK]で止まってしまいます。

    Hyper-V の管理コンソールで状態を確認すると
    低下(総合サービスのアップグレードが必要です)となっています。

    Linux Integration Services のどのバージョンを
    installすればよいのでしょうか?

    あるいはやり方が間違っているのでしょうか?

    システムの実行環境は以下のとおりです。
    (この環境にLinux Integration Servicesv2.1を入れました。)

    Windows Server2012 RC版上でHyper-vを追加、CentOS5.5
    をインストールしました。
    (※win2012 RC RC Datacenter Build 8400)

    なお、win2008R2では、Citrix Project Satori で提供のinputvscを追加すると

    Hyper-V Linux 統合サービスでマウスキャプチャできますが、

    win2012 環境では、make installが終了しませんし、

    リセットするとゲストOSであるCentoSが起動しなくなってしまいます。

    どなたか解決策をご存じの方、ご教授ください。
    よろしくお願います。

    以 上

    2012年6月28日 13:03

すべての返信

  • yosukeys様
    Makoto.Cueと申します。
    私はただの失業者で、日本マイクロソフトとは何の関係もありません。

    もし、可能であれば、yosukeys様の環境を、CentOS 6.3 または 5.8 にすることを強く推奨します。

    MicrosoftのLinux総合サービスの最新版
    Linux Integration Services Version 3.4 for Hyper-V
    http://www.microsoft.com/ja-jp/download/details.aspx?id=34603
    がサポートするCentOSのバージョンは、
    CentOS 5.7~5.8
    CentOS 6.0~6.3
    です。
    (つまり、率直に言って、「MicrosoftはCentOS 5.7より前のバージョンする気は無い」と判断せざるを得ません。)

    私は、Windows Server 6.3 の Hyper-V の CentOS 6.3 に、今日、Linux Integration Services Version 3.4 for Hyper-V を入れました。
    マウスは正常にキャプチャーできます。

    リモートデスクトップでも、マウスは正常にキャプチャーできます。

    yosukeys様の順風を祈ります。




    • 回答の候補に設定 Makoto.Cue 2012年9月11日 10:31
    • 編集済み Makoto.Cue 2012年9月11日 10:39
    2012年9月11日 10:21